/******************************************************************************
 *                                                                            *
 * File:   scanflag.h         Version  1.10            Date: 2000-06-03       *
 *                                                                            *
 * Copyright (C) 2000 by Kostis Netzwerkberatung                              *
 * Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058            *
 * kosta@kostis.net (Kosta Kostis), http://www.kostis.net/                    *
 *                                                                            *
 * You may use this software free of charge at your own risk.                 *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     2000-06-03: KK V1.10                                                   *
 *        - see scanflag.c                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Function Prototypes

 *****************************************************************************/

extern	int	ScanFlag
(
	int		argc,
	char		*argv	[]
) ;

/******************************************************************************

	Function Variables

 *****************************************************************************/

extern	char	FileName [] ;	/* registry query filename */
extern	int	DEBUG ;		/* debug flag */

/******************************************************************************

	Function Variable Values

 *****************************************************************************/

#define	SCANFLAG_YES		1
#define	SCANFLAG_NO		0

/******************************************************************************

	Function Return Values

 *****************************************************************************/

#define SCANFLAG_OK		0	/* parameters all valid */
#define SCANFLAG_UNKNOWN	1	/* unknown parameter */
#define SCANFLAG_BADARGS	2	/* illegal parameter(number) */
#define SCANFLAG_COMBINED	3	/* illegal parameter combination */
