/******************************************************************************
 *                                                                            *
 * File:   regread.h          Version  1.11            Date: 2000-06-14       *
 *                                                                            *
 * Copyright (C) 2000 by Kostis Netzwerkberatung                              *
 * Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058            *
 * kosta@kostis.net (Kosta Kostis), http://www.kostis.net/                    *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     2000-06-14: KK V1.11                                                   *
 *        - see regread.c                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Version Constants

 *****************************************************************************/

#define PRGNAM			"regread"
#define VERSION			"V1.11 (2000-06-14)"

/******************************************************************************

	Program Messages

 *****************************************************************************/

#define MSG_COPYRIGHT           "\
Copyright (C) 2000 by Kostis Netzwerkberatung\n\
Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058\n\
kosta@kostis.net (Kosta Kostis), http://www.kostis.net/\n"
#define MSG_VERSION             "%s %s\n"

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_SYNTAX		"Syntax: %s [-debug] [filename]\n"

/******************************************************************************

	Program Constants

 *****************************************************************************/

#define	MAX_LEN_COMPUTERNAME	64

#define	MAX_LEN_REG_VALUE	254

#define	EXT_QUERYFILE		".rqu"

#define	STR_HKEY_CLASSES_ROOT	"HKCR"
#define	STR_HKEY_CURRENT_CONFIG	"HKCC"
#define	STR_HKEY_CURRENT_USER	"HKCU"
#define	STR_HKEY_LOCAL_MACHINE	"HKLM"
#define	STR_HKEY_USERS		"HKUS"

/******************************************************************************

	Function/Program Return Codes

 *****************************************************************************/

#define ERR_NONE		0	/* everything seemed to work    */
#define ERR_SYNTAX		1	/* syntax error                 */
#define	ERR_NOQUERYFILE		2	/* no query file found          */
